Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterEntry Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperEntry.

List of all members.

## Detailed Description

A ConverterEntry views an underlying Map::Entry through a Converter.

## Public Types
typedef spec::Handle | Handle
| ConverterEntry Handle definition.
typedef spec::View | View
| ConverterEntry View definition.
typedef spec::Holder | Holder
| ConverterEntry Holder definition.
## Public Member Functions
virtual Object::View | getKey () const
| Return the key corresponding to this entry. Returns: the key corresponding to this entry.
virtual Object::Holder | getValue () const
| Return the value corresponding to this entry. Returns: the value corresponding to this entry.
virtual Object::Holder | setValue (Object::Holder ohValue)
  | Update the value corresponding to this entry. Parameters:
  | ohValue | the new value for the entry
Returns: the prior value
virtual bool | equals (Object::View that) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
## Protected Member Functions
| ConverterEntry (Map::Entry::Handle hMapDelegate, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperEntry which delegates to the specified Map::Entry.
| ConverterEntry (Map::Entry::View vMapDelegate, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperEntry which delegates to the specified Map::Entry.
| ConverterEntry (const ConverterEntry &that)
| Copy constructor.
## Protected Attributes
FinalView < EntryConverter > | m_vConvUp
| The Converter from the underlying Entry.
FinalView < EntryConverter > | m_vConvDown
| The Converter from the underlying Entry.

## Constructor & Destructor Documentation

ConverterEntry | ( | Map::Entry::Handle | hMapDelegate,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperEntry which delegates to the specified Map::Entry.

Parameters:

  | hMapEntry | a handle to the specified Map::Entry
  | vConvUp | the EntryConverter from the underlying Map
  | vConvDown | the EntryConverter to the underlying Map

ConverterEntry | ( | Map::Entry::View | vMapDelegate,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperEntry which delegates to the specified Map::Entry.

Parameters:

  | vMapEntry | a view of the specified Map::Entry
  | vConvUp | the EntryConverter from the underlying Map
  | vConvDown | the EntryConverter to the underlying Map

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.